会员可以在此提问,百战程序员老师有问必答

对大家有帮助的问答会被标记为“推荐”,看完课程过来浏览一下别人提的问题,会帮你学得更全面

截止目前,同学们一共提了126495个问题
苏菜2023-12-05 16:11:05

Installing requirements for CodeFormer

Traceback (most recent call last):

  File "E:\stable-diffusion-webui\launch.py", line 48, in <module>

    main()

  File "E:\stable-diffusion-webui\launch.py", line 39, in main

    prepare_environment()

  File "E:\stable-diffusion-webui\modules\launch_utils.py", line 389, in prepare_environment

    run_pip(f"install -r \"{os.path.join(repo_dir('CodeFormer'), 'requirements.txt')}\"", "requirements for CodeFormer")

  File "E:\stable-diffusion-webui\modules\launch_utils.py", line 138, in run_pip

    return run(f'"{python}" -m pip {command} --prefer-binary{index_url_line}', desc=f"Installing {desc}", errdesc=f"Couldn't install {desc}", live=live)

  File "E:\stable-diffusion-webui\modules\launch_utils.py", line 115, in run

    raise RuntimeError("\n".join(error_bits))

RuntimeError: Couldn't install requirements for CodeFormer.

Command: "E:\stable-diffusion-webui\venv\Scripts\python.exe" -m pip install -r "E:\stable-diffusion-webui\repositories\CodeFormer\requirements.txt" --prefer-binary

Error code: 1

stdout: Looking in indexes: http://mirrors.aliyun.com/pypi/simple/


stderr: WARNING: The repository located at mirrors.aliyun.com is not a trusted or secure host and is being ignored. If this repository is available via HTTPS we recommend you use HTTPS instead, otherwise you may silence this warning and allow it anyway with '--trusted-host mirrors.aliyun.com'.

ERROR: Could not find a version that satisfies the requirement addict (from versions: none)

ERROR: No matching distribution found for addict


[notice] A new release of pip available: 22.2.1 -> 23.3.1

[notice] To update, run: E:\stable-diffusion-webui\venv\Scripts\python.exe -m pip install --upgrade pip


请按任意键继续. . .


相关课程:AIGC人工智能工具全能班 /第三阶段:Stable Diffusion(自选模型)AI绘图/Stable Diffusion本地安装
苏菜2023-12-05 16:10:48

Installing requirements for CodeFormer

Traceback (most recent call last):

  File "E:\stable-diffusion-webui\launch.py", line 48, in <module>

    main()

  File "E:\stable-diffusion-webui\launch.py", line 39, in main

    prepare_environment()

  File "E:\stable-diffusion-webui\modules\launch_utils.py", line 389, in prepare_environment

    run_pip(f"install -r \"{os.path.join(repo_dir('CodeFormer'), 'requirements.txt')}\"", "requirements for CodeFormer")

  File "E:\stable-diffusion-webui\modules\launch_utils.py", line 138, in run_pip

    return run(f'"{python}" -m pip {command} --prefer-binary{index_url_line}', desc=f"Installing {desc}", errdesc=f"Couldn't install {desc}", live=live)

  File "E:\stable-diffusion-webui\modules\launch_utils.py", line 115, in run

    raise RuntimeError("\n".join(error_bits))

RuntimeError: Couldn't install requirements for CodeFormer.

Command: "E:\stable-diffusion-webui\venv\Scripts\python.exe" -m pip install -r "E:\stable-diffusion-webui\repositories\CodeFormer\requirements.txt" --prefer-binary

Error code: 1

stdout: Looking in indexes: http://mirrors.aliyun.com/pypi/simple/


stderr: WARNING: The repository located at mirrors.aliyun.com is not a trusted or secure host and is being ignored. If this repository is available via HTTPS we recommend you use HTTPS instead, otherwise you may silence this warning and allow it anyway with '--trusted-host mirrors.aliyun.com'.

ERROR: Could not find a version that satisfies the requirement addict (from versions: none)

ERROR: No matching distribution found for addict


[notice] A new release of pip available: 22.2.1 -> 23.3.1

[notice] To update, run: E:\stable-diffusion-webui\venv\Scripts\python.exe -m pip install --upgrade pip


请按任意键继续. . .


相关课程:AIGC人工智能工具全能班 /第三阶段:Stable Diffusion(自选模型)AI绘图/Stable Diffusion本地安装

百战程序员微信公众号

百战程序员微信小程序

©2014-2024 百战汇智(北京)科技有限公司 All Rights Reserved 北京亦庄经济开发区科创十四街 赛蒂国际工业园
网站维护:百战汇智(北京)科技有限公司
京公网安备 11011402011233号    京ICP备18060230号-3    营业执照    经营许可证:京B2-20212637